Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.graph.request
Enum CloneWorkspaceRequest.CloneConflictBehavior

    java.lang.Object
      java.lang.Enum<CloneWorkspaceRequest.CloneConflictBehavior>
          org.modeshape.graph.request.CloneWorkspaceRequest.CloneConflictBehavior

All Implemented Interfaces:
  Serializable, Comparable<CloneWorkspaceRequest.CloneConflictBehavior>

Enclosing class:
  CloneWorkspaceRequest

    public static enum CloneWorkspaceRequest.CloneConflictBehavior

extends Enum<CloneWorkspaceRequest.CloneConflictBehavior>

The options for the behavior when a request specifies the name of the workspace to clone, but the cloned workspace does not exist.

Enum Constant Summary
`DO_NOT_CLONE` Do not perform the clone, and record as an `error` on the request.
`SKIP_CLONE` The clone operation is skipped quietly, resulting in an empty new workspace.

Method Summary
`static CloneWorkspaceRequest.CloneConflictBehavior` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CloneWorkspaceRequest.CloneConflictBehavior[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DO_NOT_CLONE

    public static final CloneWorkspaceRequest.CloneConflictBehavior DO_NOT_CLONE

  Do not perform the clone, and record as an `error` on the request.

### SKIP_CLONE

    public static final CloneWorkspaceRequest.CloneConflictBehavior SKIP_CLONE

  The clone operation is skipped quietly, resulting in an empty new workspace.

Method Detail

### values

    public static CloneWorkspaceRequest.CloneConflictBehavior[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CloneWorkspaceRequest.CloneConflictBehavior c : CloneWorkspaceRequest.CloneConflictBehavior.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CloneWorkspaceRequest.CloneConflictBehavior valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.